/find_orders

To find a specific order, use one of the following values to searchXXX:

  • pnm_order_identifier
  • site_order_identifier

To find orders for a specific customer record, use one of the following values to search:
  • pnm_customer_identifier
  • site_customer_identifier
  • site_customer_email
  • site_customer_phone

You can also use one of the following parameters to search for orders:
  • site_creator_identifier
  • site_order_annotation
  • start_date

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Best Practices to Ensure Fast API Response Times

By default, PayNearMe will return all payments related to an order in response to your API call. This results in lengthy responses as your orders accrue payments in our system. The following options reduce load times and bandwidth usage, helping to lower network costs.

Limiting Payment Listings

For the fastest responses, sending return_minimal_info=true ensures that PayNearMe will only return the pnm_order_identifier and the pnm_customer_identifier.

If you require more information in the response than that, but do not require payment history, sending return_no_pmts=true in your request will eliminate payment history entirely.

If you prefer to receive just the most recent payment, sending last_pmt_only=true in your request will limit the response to just the most recent payment.

Limiting Payment Method Listings

Use payment_methods_limit to limit the number of stored payment methods (accounts) returned within each payment method type (i.e., paypal, venmo, debit, gpay, ach, cash_app) in the response. This is useful for orders with many saved payment methods where returning all accounts would impact performance.

🚧

Payment Method Fee Listings

The fees specified in the payment_methods array represent the default convenience fees associated with each payment method. However, the actual fee charged to the consumer may vary depending on the payment channel (i.e., site_channel). To retrieve the most accurate fee information for each combination of payment method and payment channel, use the /get_fees endpoint.

Body Params
string
required

The unique, PayNearMe-defined identifier for this order

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string

The client-provided email address of the consumer.

string

A unique string used to identify the creator of the order.

string

The start date of a payment schedule.

string

The end date of a payment schedule.

string

If set to true, PayNearMe will only return the pnm_order_identifier and pnm_customer_identifier.

string

If set to true, PayNearMe will return a detailed list of convenience fees.

string
enum

The payment channel where this payment was created.

Allowed:
string
enum

The type of payment method that can be accepted for this payment.

string

The decimal value of the payment amount.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or after 2012-07-01 00:00:00 -0700.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or before 2012-07-01 00:00:00 -0700.

string

Enforces a limit to the number of payments that are returned in the order object response. For example, entering 2 limits the number of payments listed in the order to the 2 most recent payments. Use this parameter in conjunction with the sort_payments parameter to sort the listed payments by oldest (i.e.,asc) or the most recent (i.e., desc). By default, all payments are returned, which can slow down response time.

integer

Maximum number of payment processor accounts (PPAs) to return per payment method. Use 0 for no PPAs. Default: unlimited.

string
enum

Sorts the payments returned in the order object response from oldest to most recent (i.e., asc) or from the most recent payments to oldest (i.e., desc). The default value for this parameter is asc.

Allowed:
string

Submit as true to only return the most recent payment made for the order in the order object response.

string

Submit as true if you don't want payment records returned in the order object response.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json